finley::ShapeFunctionInfo Struct Reference

this struct holds the definition of the shape functions on an element More...

`#include <ShapeFunctions.h>`

## Public Attributes

ShapeFunctionTypeId | TypeId
| shape function type More...
const char * | Name
| the name in text form e.g. "Line2", "Rec12", ... More...
int | numDim
| number of spatial dimensions More...
int | numShapes
| number of shape functions More...
int | numOrder
| order of the shape functions More...
int | numVertices
| number of vertices of the element More...
ShapeFunction_Evaluation * | getValues
| function to evaluate the shape functions at a set of points More...

## Detailed Description

this struct holds the definition of the shape functions on an element

## Member Data Documentation

## getValues

ShapeFunction_Evaluation* finley::ShapeFunctionInfo::getValues

function to evaluate the shape functions at a set of points

Referenced by finley::ShapeFunction::ShapeFunction().

## Name

const char* finley::ShapeFunctionInfo::Name

the name in text form e.g. "Line2", "Rec12", ...

## numDim

int finley::ShapeFunctionInfo::numDim

number of spatial dimensions

Referenced by finley::ReferenceElement::ReferenceElement(), and finley::ShapeFunction::ShapeFunction().

## numOrder

int finley::ShapeFunctionInfo::numOrder

order of the shape functions

Referenced by finley::ReferenceElement::ReferenceElement(), and finley::ReferenceElementSet::ReferenceElementSet().

## numShapes

int finley::ShapeFunctionInfo::numShapes

number of shape functions

Referenced by finley::ReferenceElement::ReferenceElement(), and finley::ShapeFunction::ShapeFunction().

## numVertices

int finley::ShapeFunctionInfo::numVertices

number of vertices of the element

## TypeId

ShapeFunctionTypeId finley::ShapeFunctionInfo::TypeId

shape function type

Referenced by finley::ShapeFunction::getTypeId(), and finley::ReferenceElement::ReferenceElement().

The documentation for this struct was generated from the following file:

- ShapeFunctions.h